<%
  if current_user.can_moderate_forum? @forum
    content_for :foot_links do
-%>
			<div class="conl">
<%= render :partial => 'topic/quickjump', :locals => {:id => @forum.id } if Settings.quickjump == true -%>
<% if params[:moderate] -%>
				<p id="modcontrols"><%= link_to "Normal forum" %></p>
<% else -%>
				<p id="modcontrols"><%= link_to "Moderate forum", :moderate => true %></p>
<% end -%>
			</div>
<%
    end
  end
-%>
<% unless params[:moderate] -%>
<div class="linkst">
	<%= render :partial => 'pagination' %>
</div>
<% end -%>

<% if params[:moderate] -%>
<form method="post" action="<%= url_for :controller => 'moderator', :action => 'forum', :id => @forum.id %>">
<% end -%>
<div id="vf" class="blocktable">
	<h2><span><%=h @forum.forum_name %></span></h2>
	<div class="box">
		<div class="inbox">
			<table cellspacing="0">
			<thead>
				<tr>
					<th class="tcl" scope="col">Topic</th>
					<th class="tc2" scope="col">Replies</th>
					<th class="tc3" scope="col">Views</th>
					<th class="tcr" scope="col">Last post</th>
<% if params[:moderate] -%>
					<th class="tcmod" scope="col">Select</th>
<% end -%>
				</tr>
			</thead>
			<tbody>
<% if @topics.length == 0 -%>
				<tr>
					<td class="tcl" colspan="4">Forum is empty.</td>
				</tr>
<% else -%>
<%   for o in @topics -%>
<%     icon_text, item_status, icon_type, subject, last_post = topic_info(o) -%>
<%     item_status = ' class="'+item_status+'"' unless item_status.blank? -%>
				<tr<%= item_status %>>
					<td class="tcl">
						<div class="intd">
							<div class="<%= icon_type %>"><div class="nosize"><%= icon_text %></div></div>
							<div class="tclcon">
								<%= subject -%>
							</div>
						</div>
					</td>
					<td class="tc2"><%= o.num_replies %></td>
					<td class="tc3"><%= o.num_views %></td>
					<td class="tcr"><%= last_post %></td>
<% if params[:moderate] -%>
					<td class="tcmod"><input type="checkbox" name="topics[]" value="<%= o.id %>" /></td>
<% end -%>
				</tr>
	<% end %>
<% end -%>
			</tbody>
			</table>
		</div>
	</div>
</div>

<div class="linksb">
	<%= render :partial => (params[:moderate] ? 'mod_pagination' : 'pagination') %>
</div>
<% if params[:moderate] -%>
</form>
<% end -%>
